AnsweredAssumed Answered

rest api, client is incompatible with the dataset

Question asked by Tui on Oct 11, 2015
Latest reply on Oct 11, 2015 by rastrauch

We have a 10.11 server instance. When we tried to update a feature attribute in a feature service using the REST api, we got

This version of the Geodatabase client is incompatible with the dataset and cannot open it.

 

It failed within our code, and in the ArcGIS Server page (attached.)

 

However, it works if we try the same edit using the ArcGIS map interface.

 

Our guesses are the payload, any idea why this breaks with such a bizzarre error. We tried the simplest possible,

 

[{ "attributes": { "OBJECTID": 1, "Status": "xxx" }}]

Attachments

Outcomes